# Get Ship via Code by Code

This operation retrieves the details of a specific ship via code mapping by its unique `code`.
A ship via code represents a saved configuration of carrier, carrier account, parcel, service, and special services.

Endpoint: GET /api/v1/shipviacode/{code}
Version: 1.0.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer

## Path parameters:

  - `code` (string, required)
    Unique ship via code identifier. This value is defined when the ship via code is created and cannot be changed.

## Response 200:

  - `200` (unknown)
    Specified ship via codes has beed retreived successfully.

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier generated by the system for the ship via code.
    Example: 68b6bf44e10c804a9c1441df

  - `code` (string)
    Ship via code value.
    Example: FEDEX-custom-code

  - `subID` (string)
    Subscription ID associated with this ship via code.
    Example: sac4c3a

  - `carrier` (string)
    Carrier name.
    Example: FEDEX

  - `carrierAccountId` (string)
    Unique identifier of the carrier account.
    Example: B9PZAR2QZzn01Xo

  - `parcelType` (string)
    Parcel type (e.g., PKG, LTR).
    Example: PKG

  - `serviceId` (string)
    Identifier of the service selected for the shipment.
    Example: NDA

  - `specialServices` (array)
    List of special services applied to the ship via code.

  - `specialServices.specialServiceId` (string)
    Identifier of the special service.
    Example: INS

  - `specialServices.inputParameters` (array)
    Input parameters for the special service.

  - `specialServices.inputParameters.name` (string)
    Parameter name.
    Example: INPUT_VALUE

  - `specialServices.inputParameters.value` (string)
    Parameter value.
    Example: 101

  - `specialServices.fee` (number)
    Monetary fee associated with the service (if any).
    Example: 0

  - `residential` (boolean)
    Example: false

  - `insertTimestamp` (string)
    Timestamp when the entry was created.
    Example: 2025-09-02T09:56:20.851Z

  - `updateTimestamp` (string)
    Timestamp when the entry was last updated.
    Example: 0001-01-01T00:00:00Z

  - `createdBy` (string)
    User ID of the creator.
    Example: 0oa2fok3669kX7can0h8

  - `archived` (boolean)
    Indicates whether the record is archived.
    Example: false

## Response 400:

  - `400` (unknown)
    Invalid request.

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Custom Fields not found

## Response 401:

  - `401` (unknown)
    The request could not be authorized.

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500:

  - `500` (unknown)
    The request could not be completed due to an internal error.

